Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1882058 - [TestOnly] Verify "mixed" DCN environments (Edge sites with Ceph and others computes only) [NEEDINFO]
Summary: [TestOnly] Verify "mixed" DCN environments (Edge sites with Ceph and others c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 16.1 (Train)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z4
: 16.1 (Train on RHEL 8.2)
Assignee: Ollie Walsh
QA Contact: Marian Krcmarik
Roger Heslop
URL:
Whiteboard:
Depends On: 1886145 1886171
Blocks: 1802774
TreeView+ depends on / blocked
 
Reported: 2020-09-23 17:29 UTC by John Fulton
Modified: 2021-03-17 15:34 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This enhancement adds support for heterogeneous storage configurations at the edge. Operators can now deploy edge sites with storage and sites without storage within the same DCN deployment.
Clone Of:
Environment:
Last Closed: 2021-03-17 15:32:20 UTC
Target Upstream Version:
johfulto: needinfo?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:0817 0 None None None 2021-03-17 15:34:06 UTC

Description John Fulton 2020-09-23 17:29:52 UTC
The DCN documentation [1] covers two scenarios:

1. DCN without storage
2. DCN with storage

This is a TestOnly bug to test a mixed environment. Specifically:

1. Central is deployed with storage as per our docs [1]
2. DCN1 is deployed with storage (HCI nodes) as per our docs [1]
3. DCN2 is deployed without any storage using pure Compute nodes

We need to test the above scenario and describe how Glance needs to be configured at the Central site so that images can get to the pure Compute nodes. RBD will need to be at least one of the Glance backends at central.


[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.1/html-single/distributed_compute_node_and_storage_deployment/index

Comment 2 John Fulton 2020-09-28 14:20:57 UTC
This usecase don't have to be with HCI. The following variation is also valid.

1. Central is deployed with storage as per our docs
2. DCN1 is deployed with storage (either HCI nodes or Compute + CephStorage) 
3. DCN2 is deployed without any storage using pure Compute nodes

Comment 10 spower 2021-01-06 14:59:34 UTC
Exception + flag given

Comment 24 errata-xmlrpc 2021-03-17 15:32:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Red Hat OpenStack Platform 16.1.4 director bug fix advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0817


Note You need to log in before you can comment on or make changes to this bug.